## emacs-anzu 0.67

=== Makefile ===
.PHONY : clean distclean lint test version

EMACS ?= emacs
CASK ?= cask

LOADPATH = -L .

ELPA_DIR = $(shell EMACS=$(EMACS) $(CASK) package-directory)
AUTOLOADS = $(wildcard *-autoloads.el*)
ELS = $(filter-out $(AUTOLOADS),$(wildcard *.el))
OBJECTS = $(ELS:.el=.elc)
BACKUPS = $(ELS:.el=.el~)

version: elpa
	$(CASK) exec $(EMACS) --version

lint: elpa
	$(CASK) exec $(EMACS) -Q --batch $(LOADPATH) \
	    -l elisp-lint.el \
	    -f elisp-lint-files-batch \
	    --no-checkdoc \
	    --no-fill-column \
	    $(ELS)

# test: elpa
# 	$(CASK) exec $(EMACS) -Q -batch $(LOADPATH) \
# 		-l test/test.el \
# 		-f ert-run-tests-batch-and-exit

elpa: $(ELPA_DIR)
$(ELPA_DIR): Cask
	mkdir -p $(ELPA_DIR)/gnupg && \
	chmod 700 $(ELPA_DIR)/gnupg && \
	echo "disable-ipv6" > $(ELPA_DIR)/gnupg/dirmngr.conf && \
	for i in {1..3}; do \
	gpg --keyserver keyserver.ubuntu.com \
	    --homedir $(ELPA_DIR)/gnupg \
	    --recv-keys 066DAFCB81E42C40 \
	    && break || sleep 15; \
	done
	$(CASK) install
	touch $@

clean:
	rm -rf $(OBJECTS) $(BACKUPS) $(AUTOLOADS)

distclean:
	rm -rf .cask

## emacs-anzu 0.62

=== debian/changelog ===
emacs-anzu (0.62-4) unstable; urgency=medium

  * Team upload.
  * Regenerate source package with quilt patches

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 14:24:59 -0300

emacs-anzu (0.62-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 08:45:58 -0300

emacs-anzu (0.62-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Sat, 02 Jun 2018 20:13:50 -0300

emacs-anzu (0.62-1) unstable; urgency=low

  * Initial release (Closes: #847707)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 10 Dec 2016 23:47:28 +0500

=== debian/control ===
Source: emacs-anzu
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 3.9.8
Homepage: https://github.com/syohex/emacs-anzu
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-anzu
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-anzu.git

Package: elpa-anzu
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacs
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: show number of matches in mode-line while searching
 `anzu.el' is an Emacs port of `anzu.vim'.
 .
 `anzu.el' provides a minor mode which displays 'current match/total matches'
 in the mode-line in various search modes. This makes it easy to understand how
 many matches there are in the current buffer for your search query.

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%emacs-anzu-$1.tar.gz%" \
             https://github.com/syohex/emacs-anzu/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## emacs-anzu 0.63

=== debian/changelog ===
emacs-anzu (0.63-1) unstable; urgency=medium

  [ David Krauser ]
  * d/control: Update maintainer email address

  [ Lev Lamberov ]
  * New upstream version 0.63
  * Add patch to fix version number
  * Refresh patch to clean documentation
  * Migrate to debhelper-compat 13 (without d/compat)
  * d/control: Declare Standards-Version 4.5.0 (no changes needed)
  * d/control: Add Rules-Requires-Root: no
  * d/control: Clean dependencies (drop emacs24, emacs25)
  * d/control: Drop Built-Using
  * d/copyright: Update copyright information
  * d/copyright: Fix Upstream-Name and add Upstream-Contact
  * d/rules: Do not pass --parallel to dh

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 14 May 2020 11:56:01 +0500

=== debian/control ===
Source: emacs-anzu
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-elpa
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/syohex/emacs-anzu
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-anzu
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-anzu.git

Package: elpa-anzu
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: show number of matches in mode-line while searching
 `anzu.el' is an Emacs port of `anzu.vim'.
 .
 `anzu.el' provides a minor mode which displays 'current match/total matches'
 in the mode-line in various search modes. This makes it easy to understand how
 many matches there are in the current buffer for your search query.

## emacs-anzu 0.64

=== debian/changelog ===
emacs-anzu (0.64-1) unstable; urgency=medium

  * New upstream version 0.64
  * Drop patch to fix version number
  * Refresh patch to clean documentation
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)
  * d/rules: Install upstream changelog

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 06 Dec 2020 20:30:38 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/syohex/emacs-anzu
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-anzu

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skipping upstream build

override_dh_installchangelogs:
	dh_installchangelogs Changes
	dh_installchangelogs

.PHONY: override_dh_auto_build override_dh_installchangelogs

## emacs-anzu 0.67

=== debian/changelog ===
emacs-anzu (0.67-1) unstable; urgency=medium

  * New upstream version 0.67
  * Add patch to fix version number
  * Add upstream metadata
  * Refresh patch to clean README.md
  * d/control: Declare Standards-Version 4.7.0 (no changes needed)
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 10 Nov 2024 12:59:00 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/syohex/emacs-anzu
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-anzu
